Download it now!
Bug 31249 - Font Size ComboBox is counter-intuitive
Summary: Font Size ComboBox is counter-intuitive
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: lowest enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-31 01:26 UTC by Andrew
Modified: 2011-01-28 09:57 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew 2010-10-31 01:26:30 UTC
Quite an easy one here, but important none-the-less.

When a user scrolls up or down using the mouse-scroll wheel on the combobox (drop-down box) in all components of LibreOffice, the font size changes in the opposite way that the user would think.

For example, when a user scrolls up (thinking this should increase the font size), the font-size actually decreases and vice versa.

To fix this problem, either the behaviour of this combobox on mouse-scroll should be reversed, or (more appropriate in my opinion), the combobox should be replaced by a spin button (http://library.gnome.org/devel/gtk/stable/GtkSpinButton.html). This is far more suited for only numerical data and the scroll behaviour would then be correct.
Comment 1 Rainer Bielefeld Retired 2010-11-29 22:06:16 UTC
I see this Bug INVALID.
With "LibreOffice 3.3.0Beta3 - WIN XP DE [OOO330m12 (build 3.2.99.3)]" the mouse scroll direction for character size is the same as anywhere else:
The same scroll wheel moving that brings me to the bottom of the last page of a document  will bring me to the bottom of the combo box list. So scroll direction is correct, any change would seem unintuitive to me.

So might remain that the order of the character sizes should be contrary, maximum size at the top of the list, minimum at the bottom. That can be discussed, but although the result would match with spin button mouse scroll behaviour ((page-up- moving of mouse will increase numerical value in spin box) I doubt that that will be intuitive for most of users.

I dislike spin buttons, but that's my personal opinion.

Currently I only see a very small importance for changes here

@Andrew:
intuitions of different users are different, as we here see again. Any Idea how to satisfy also your, mine ant other one needs in time (with acceptable efforts)?
Comment 2 Rainer Bielefeld Retired 2011-01-28 09:57:44 UTC
No reporter activity, no promotion from other users, so I close this WONTFIX for now.